Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

# Class PersonIdentification3

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_01.PersonIdentification3

public class PersonIdentification3 extends Object

Java class for PersonIdentification3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PersonIdentification3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="DrvrsLicNb" type="{urn:sepade:xsd:pain.008.001.01}Max35Text"/>
               <element name="CstmrNb" type="{urn:sepade:xsd:pain.008.001.01}Max35Text"/>
               <element name="SclSctyNb" type="{urn:sepade:xsd:pain.008.001.01}Max35Text"/>
               <element name="AlnRegnNb" type="{urn:sepade:xsd:pain.008.001.01}Max35Text"/>
               <element name="PsptNb" type="{urn:sepade:xsd:pain.008.001.01}Max35Text"/>
               <element name="TaxIdNb" type="{urn:sepade:xsd:pain.008.001.01}Max35Text"/>
               <element name="IdntyCardNb" type="{urn:sepade:xsd:pain.008.001.01}Max35Text"/>
               <element name="MplyrIdNb" type="{urn:sepade:xsd:pain.008.001.01}Max35Text"/>
               <element name="DtAndPlcOfBirth" type="{urn:sepade:xsd:pain.008.001.01}DateAndPlaceOfBirth"/>
               <element name="OthrId" type="{urn:sepade:xsd:pain.008.001.01}GenericIdentification4"/>
             </choice>
             <element name="Issr" type="{urn:sepade:xsd:pain.008.001.01}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`alnRegnNb`
`protected String`
`cstmrNb`
`protected String`
`drvrsLicNb`
`protected DateAndPlaceOfBirth`
`dtAndPlcOfBirth`
`protected String`
`idntyCardNb`
`protected String`
`issr`
`protected String`
`mplyrIdNb`
`protected GenericIdentification4`
`othrId`
`protected String`
`psptNb`
`protected String`
`sclSctyNb`
`protected String`
`taxIdNb`

## Constructor Summary

Constructors
Constructor
Description
`PersonIdentification3()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlnRegnNb()`
Gets the value of the alnRegnNb property.
`String`
`getCstmrNb()`
Gets the value of the cstmrNb property.
`String`
`getDrvrsLicNb()`
Gets the value of the drvrsLicNb property.
`DateAndPlaceOfBirth`
`getDtAndPlcOfBirth()`
Gets the value of the dtAndPlcOfBirth property.
`String`
`getIdntyCardNb()`
Gets the value of the idntyCardNb property.
`String`
`getIssr()`
Gets the value of the issr property.
`String`
`getMplyrIdNb()`
Gets the value of the mplyrIdNb property.
`GenericIdentification4`
`getOthrId()`
Gets the value of the othrId property.
`String`
`getPsptNb()`
Gets the value of the psptNb property.
`String`
`getSclSctyNb()`
Gets the value of the sclSctyNb property.
`String`
`getTaxIdNb()`
Gets the value of the taxIdNb property.
`void`
`setAlnRegnNb(String value)`
Sets the value of the alnRegnNb property.
`void`
`setCstmrNb(String value)`
Sets the value of the cstmrNb property.
`void`
`setDrvrsLicNb(String value)`
Sets the value of the drvrsLicNb property.
`void`
`setDtAndPlcOfBirth(DateAndPlaceOfBirth value)`
Sets the value of the dtAndPlcOfBirth property.
`void`
`setIdntyCardNb(String value)`
Sets the value of the idntyCardNb property.
`void`
`setIssr(String value)`
Sets the value of the issr property.
`void`
`setMplyrIdNb(String value)`
Sets the value of the mplyrIdNb property.
`void`
`setOthrId(GenericIdentification4 value)`
Sets the value of the othrId property.
`void`
`setPsptNb(String value)`
Sets the value of the psptNb property.
`void`
`setSclSctyNb(String value)`
Sets the value of the sclSctyNb property.
`void`
`setTaxIdNb(String value)`
Sets the value of the taxIdNb property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### drvrsLicNb

protected String drvrsLicNb

### cstmrNb

protected String cstmrNb

### sclSctyNb

protected String sclSctyNb

### alnRegnNb

protected String alnRegnNb

### psptNb

protected String psptNb

### taxIdNb

protected String taxIdNb

### idntyCardNb

protected String idntyCardNb

### mplyrIdNb

protected String mplyrIdNb

### dtAndPlcOfBirth

protected DateAndPlaceOfBirth dtAndPlcOfBirth

### othrId

protected GenericIdentification4 othrId

### issr

protected String issr

## Constructor Details

### PersonIdentification3

public PersonIdentification3()

## Method Details

### getDrvrsLicNb

public String getDrvrsLicNb()
Gets the value of the drvrsLicNb property.

Returns:
  possible object is `String`

### setDrvrsLicNb

public void setDrvrsLicNb(String value)
Sets the value of the drvrsLicNb property.

Parameters:
  `value` - allowed object is `String`

### getCstmrNb

public String getCstmrNb()
Gets the value of the cstmrNb property.

Returns:
  possible object is `String`

### setCstmrNb

public void setCstmrNb(String value)
Sets the value of the cstmrNb property.

Parameters:
  `value` - allowed object is `String`

### getSclSctyNb

public String getSclSctyNb()
Gets the value of the sclSctyNb property.

Returns:
  possible object is `String`

### setSclSctyNb

public void setSclSctyNb(String value)
Sets the value of the sclSctyNb property.

Parameters:
  `value` - allowed object is `String`

### getAlnRegnNb

public String getAlnRegnNb()
Gets the value of the alnRegnNb property.

Returns:
  possible object is `String`

### setAlnRegnNb

public void setAlnRegnNb(String value)
Sets the value of the alnRegnNb property.

Parameters:
  `value` - allowed object is `String`

### getPsptNb

public String getPsptNb()
Gets the value of the psptNb property.

Returns:
  possible object is `String`

### setPsptNb

public void setPsptNb(String value)
Sets the value of the psptNb property.

Parameters:
  `value` - allowed object is `String`

### getTaxIdNb

public String getTaxIdNb()
Gets the value of the taxIdNb property.

Returns:
  possible object is `String`

### setTaxIdNb

public void setTaxIdNb(String value)
Sets the value of the taxIdNb property.

Parameters:
  `value` - allowed object is `String`

### getIdntyCardNb

public String getIdntyCardNb()
Gets the value of the idntyCardNb property.

Returns:
  possible object is `String`

### setIdntyCardNb

public void setIdntyCardNb(String value)
Sets the value of the idntyCardNb property.

Parameters:
  `value` - allowed object is `String`

### getMplyrIdNb

public String getMplyrIdNb()
Gets the value of the mplyrIdNb property.

Returns:
  possible object is `String`

### setMplyrIdNb

public void setMplyrIdNb(String value)
Sets the value of the mplyrIdNb property.

Parameters:
  `value` - allowed object is `String`

### getDtAndPlcOfBirth

public DateAndPlaceOfBirth getDtAndPlcOfBirth()
Gets the value of the dtAndPlcOfBirth property.

Returns:
  possible object is `DateAndPlaceOfBirth`

### setDtAndPlcOfBirth

public void setDtAndPlcOfBirth(DateAndPlaceOfBirth value)
Sets the value of the dtAndPlcOfBirth property.

Parameters:
  `value` - allowed object is `DateAndPlaceOfBirth`

### getOthrId

public GenericIdentification4 getOthrId()
Gets the value of the othrId property.

Returns:
  possible object is `GenericIdentification4`

### setOthrId

public void setOthrId(GenericIdentification4 value)
Sets the value of the othrId property.

Parameters:
  `value` - allowed object is `GenericIdentification4`

### getIssr

public String getIssr()
Gets the value of the issr property.

Returns:
  possible object is `String`

### setIssr

public void setIssr(String value)
Sets the value of the issr property.

Parameters:
  `value` - allowed object is `String`